## tophide 1.0.0

=== Makefile ===
VERSION = 1.0.0
export VERSION

.PHONY: all install clean

all: META tophide.cmo
tophide.cmo: tophide.ml
	ocamlc -c tophide.ml

install:
	ocamlfind install tophide META tophide.cmi tophide.cmo

uninstall:
	ocamlfind remove tophide

clean:
	rm -f *.cmo *.cmi

META: META.in Makefile
	cat META.in > META
	echo 'version = "$(VERSION)"' >> META

archive:
	rm -rf /tmp/tophide /tmp/tophide-$(VERSION) && \
	 	cp -r . /tmp/tophide && \
		cd /tmp/tophide && \
			$(MAKE) clean && \
			$(MAKE) META && \
			rm -f *~ tophide*.tar* && \
		cd /tmp && cp -r tophide tophide-$(VERSION) && \
		tar czf tophide.tar.gz tophide && \
		tar cjf tophide.tar.bz2 tophide && \
		tar czf tophide-$(VERSION).tar.gz tophide-$(VERSION) && \
		tar cjf tophide-$(VERSION).tar.bz2 tophide-$(VERSION)
	mv /tmp/tophide.tar.gz /tmp/tophide.tar.bz2 ..
	mv /tmp/tophide-$(VERSION).tar.gz /tmp/tophide-$(VERSION).tar.bz2 ..
	cp ../tophide.tar.gz ../tophide.tar.bz2 $$WWW/
	cp ../tophide-$(VERSION).tar.gz ../tophide-$(VERSION).tar.bz2 $$WWW/
	cp README $$WWW/tophide-readme.txt
	cp LICENSE $$WWW/tophide-license.txt
	echo 'let tophide_version = "$(VERSION)"' > $$WWW/tophide-version.ml

=== debian/changelog ===
tophide (1.0.0-3) unstable; urgency=low

  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:23:51 +0100

tophide (1.0.0-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 22:59:02 +0200

tophide (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #605669)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 15:31:29 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/libtophide-ocaml-dev

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	make

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make install

## tophide 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-VERSION = 1.0.0
+# Copyright 2008 Martin Jambon. All rights reserved.
+# This file is distributed under the terms stated in file LICENSE.
+
+VERSION = 1.0.1
 export VERSION
 
 .PHONY: all install clean

=== debian/changelog ===
tophide (1.0.1-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:18:20 +0000

tophide (1.0.1-2) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 4.01.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:14:06 +0100

tophide (1.0.1-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * add watch file
  * new upstream version
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update hompage, Vcs fields, dependencies, copyright
  * add new makefile patch for
    - install ml file (lintian dangling-cmi)
    - OCaml 4.00 compatibility

 -- Hendrik Tews <hendrik@askra.de>  Fri, 21 Jun 2013 09:22:20 +0200

=== debian/control ===
Source: tophide
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://mjambon.com/ocaml.html#tophide
Vcs-Git: git://anonvcs.debian.org/pkg-ocaml-maint/packages/tophide.git
Vcs-Browser: http://anonvcs.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tophide.git

Package: libtophide-ocaml-dev
Architecture: all
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: hide values that start with '_' in OCaml toplevel
 This library hides toplevel values whose name starts with an underscore. This
 is useful for some Camlp4 syntax extensions that produce lots of global
 identifiers that should remain hidden.

=== debian/watch ===
version=3
http://mjambon.com/releases/tophide \
.*/tophide/tophide[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## tophide 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # Copyright 2008 Martin Jambon. All rights reserved.
 # This file is distributed under the terms stated in file LICENSE.
 
-VERSION = 1.0.1
+VERSION = 1.0.3
 export VERSION
 
 .PHONY: all install clean
 
 all: META tophide.cmo
 tophide.cmo: tophide.ml
-	ocamlc -c tophide.ml
+	ocamlc -I +compiler-libs -c tophide.ml
 
 install:
 	ocamlfind install tophide META tophide.cmi tophide.cmo

=== debian/changelog ===
tophide (1.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Compile with OCaml >= 4.02
  * Fix Vcs-* URLs
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Oct 2015 17:06:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  ocaml-nox (>= 3.11.1-3~),
+  ocaml-nox (>= 4.02),
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
   debhelper (>= 9)
 Standards-Version: 3.9.4
 Homepage: http://mjambon.com/ocaml.html#tophide
-Vcs-Git: git://anonvcs.debian.org/pkg-ocaml-maint/packages/tophide.git
-Vcs-Browser: http://anonvcs.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tophide.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/tophide.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tophide.git
 
 Package: libtophide-ocaml-dev
 Architecture: all

## tophide 1.0.4

=== debian/changelog ===
tophide (1.0.4-5) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.14.1
  * Make libtophide-ocaml-dev an arch:any package
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Sep 2023 07:03:42 +0200

tophide (1.0.4-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 06:14:44 +0100

tophide (1.0.4-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Remove Hendrik from Uploaders
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 10:48:55 +0200

tophide (1.0.4-2) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 07 Nov 2019 08:49:31 +0100

tophide (1.0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - needs ocaml >= 4.04
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Sep 2017 08:21:27 +0200

=== debian/control ===
Source: tophide
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml,
  ocaml-findlib,
  dh-ocaml,
  debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://mjambon.com/ocaml.html#tophide
Vcs-Git: https://salsa.debian.org/ocaml-team/tophide.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/tophide

Package: libtophide-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: hide values that start with '_' in OCaml toplevel
 This library hides toplevel values whose name starts with an underscore. This
 is useful for some Camlp4 syntax extensions that produce lots of global
 identifiers that should remain hidden.

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/tophide-$1\.tar\.gz/ \
  https://github.com/mjambon/tophide/tags .*/v(\d\S*)\.tar\.gz

## tophide 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Copyright 2008 Martin Jambon. All rights reserved.
 # This file is distributed under the terms stated in file LICENSE.
 
-VERSION = 1.0.3
+VERSION = 1.0.4
 export VERSION
 
 .PHONY: all install clean

=== debian/changelog ===
tophide (1.1.0-1build4) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Feb 2026 22:41:13 +0100

tophide (1.1.0-1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jan 2026 03:05:27 +0100

tophide (1.1.0-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Dec 2025 22:05:51 +0100

tophide (1.1.0-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:07:40 +0200

tophide (1.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1093111)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 Feb 2025 01:17:02 +0100
